
Foreman - Bug #2058

VM listing page should immediately display the error bubble if accessing the compute resource

returns a 500

12/18/2012 09:21 PM - Sam Kottler

Status: Closed   

Priority: Normal   

Assignee: Sam Kottler   

Category: VM management   

Target version: 1.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

The VM listing will load infinitely right now, even if the remote API (i.e. the vsphere/ovirt/rackspace controller) is unreachable.

Associated revisions

Revision 45107907 - 12/20/2012 07:54 AM - Sam Kottler

Fixes #2058: prevents the spinner from going forever if listing fails

History

#1 - 12/18/2012 10:58 PM - Sam Kottler

- Status changed from New to Feedback

I've submitted a pull to fix this issue - https://github.com/theforeman/foreman/pull/316.

#2 - 12/20/2012 08:18 AM - Sam Kottler

- Status changed from Feedback to Closed

- % Done changed from 0 to 100

Applied in changeset 45107907576f1ca20abbcf7ff8c9994cee84542c.
